Author Topic: 502 Bad Gateway  (Read 2025 times)

0 Members and 1 Guest are viewing this topic.

Offline LizziAS

  • Vollwertiges Mitglied
  • ***
  • Posts: 134
  • Branch: Hyssop
  • Desktop: OB-OpenRC
  • GPU Card: 6520G
  • GPU driver: Catalyst
  • Kernel: Zen
  • Skill: Intermediate
502 Bad Gateway
« on: 15. May 2016, 06:12:18 »
No way to the new forums....

Offline CyberWolf2k14

  • Held Mitglied
  • *****
  • Posts: 1184
  • Computers make very fast, very accurate mistakes.
  • Branch: Stable-sysd229-LightDM
  • Desktop: MATE/Cinnamon/GNOME
  • GPU Card: nVidia GeForce GT740
  • GPU driver: nVidia-NF-364.19
  • Kernel: 4.4.9x64 / 4.2.8.9x64 / 4.1.23x64
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #1 on: 15. May 2016, 06:29:28 »
Yep same here as well.

Oh yes....the "growing pains" of change.
PowerSpec Quad core Intel Core i5-4690K w/ 16GB RAM
Dual Boot = Win 7 Ult x64 and Manjaro 15.12 x64
===================================================
"A computer lets you make more mistakes faster than any invention in human history...
with the possible exceptions of handguns and tequila".

Offline fassil

  • Support Team
  • ****
  • Posts: 709
  • Branch: stable/unstable
  • Desktop: E19/E20
  • GPU driver: free
  • Kernel: Linux314 & 318
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #2 on: 15. May 2016, 06:35:10 »
'LLo,

Good old forum still works -> "home, sweet home..!" ;-)
"Are you enlightened ?"

Offline Orajnam

  • Vollwertiges Mitglied
  • ***
  • Posts: 171
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: Nvidia GTX 750 Ti
  • GPU driver: non-free 352
  • Kernel: Linux44 x64
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #3 on: 15. May 2016, 07:39:17 »
Oh well, time for bed any way.

Offline lightbeam

  • Sr. Mitglied
  • ****
  • Posts: 286
  • Branch: Stable as in: "Whoa, Nelly!"
  • Desktop: Wide Openbox
  • GPU Card: AMD Radeon Xpress 200 Series - Methuselah Edition
  • GPU driver: Free as in Lunch
  • Kernel: Linux44, i686
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #4 on: 15. May 2016, 07:48:46 »
We have a new update/upgrade this weekend that won't install on my machine, and there is no way to talk to anybody about it because the "new" forum is down.  With all the problems I've been having with updates/upgrades recently, the new forum being down is fitting.
---------------------------------------------------
I make you look good. 8)

Offline LizziAS

  • Vollwertiges Mitglied
  • ***
  • Posts: 134
  • Branch: Hyssop
  • Desktop: OB-OpenRC
  • GPU Card: 6520G
  • GPU driver: Catalyst
  • Kernel: Zen
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #5 on: 15. May 2016, 07:50:48 »
what's your issue lightbeam?


dis you try it in a terminal

sudo pacman -Syyu

post the error here or in a new thread in newbie corner and lets see if you can get sorted out

Offline lightbeam

  • Sr. Mitglied
  • ****
  • Posts: 286
  • Branch: Stable as in: "Whoa, Nelly!"
  • Desktop: Wide Openbox
  • GPU Card: AMD Radeon Xpress 200 Series - Methuselah Edition
  • GPU driver: Free as in Lunch
  • Kernel: Linux44, i686
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #6 on: 15. May 2016, 08:11:08 »
what's your issue lightbeam?


dis you try it in a terminal

sudo pacman -Syyu

post the error here or in a new thread in newbie corner and lets see if you can get sorted out

:)  Thank you!  :)

The error is actually a conflict of new and old packages:

Code: [Select]
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
:: freetype2 and freetype2-ubuntu are in conflict. Remove freetype2-ubuntu? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: fontconfig-ubuntu: removing freetype2-ubuntu breaks dependency 'freetype2-ubuntu'

?
---------------------------------------------------
I make you look good. 8)

Offline LizziAS

  • Vollwertiges Mitglied
  • ***
  • Posts: 134
  • Branch: Hyssop
  • Desktop: OB-OpenRC
  • GPU Card: 6520G
  • GPU driver: Catalyst
  • Kernel: Zen
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #7 on: 15. May 2016, 08:22:13 »
sudo pacman -R fontconfig-ubuntu

and report back on that

Offline lightbeam

  • Sr. Mitglied
  • ****
  • Posts: 286
  • Branch: Stable as in: "Whoa, Nelly!"
  • Desktop: Wide Openbox
  • GPU Card: AMD Radeon Xpress 200 Series - Methuselah Edition
  • GPU driver: Free as in Lunch
  • Kernel: Linux44, i686
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #8 on: 15. May 2016, 08:30:12 »
sudo pacman -R fontconfig-ubuntu

and report back on that

I don't think that's the problem.  Just found this: 

Pacman ignores the dependency provided by the AUR package
---------------------------------------------------
I make you look good. 8)

Offline LizziAS

  • Vollwertiges Mitglied
  • ***
  • Posts: 134
  • Branch: Hyssop
  • Desktop: OB-OpenRC
  • GPU Card: 6520G
  • GPU driver: Catalyst
  • Kernel: Zen
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #9 on: 15. May 2016, 08:35:34 »
yes i see your point.

the thing is though thst if you uninstall fontconfig-ubuntu it will allow freetype2 to upgrade and complete your upgrade then after you finiash the upgrade you can install the fontconfig-ubuntu and freetype2-ubuntu again.

the issue you asked for help with was completing the upgrade and that's what i am helping you do. 

one issue at a time please  :-) :) :) :)

Offline LizziAS

  • Vollwertiges Mitglied
  • ***
  • Posts: 134
  • Branch: Hyssop
  • Desktop: OB-OpenRC
  • GPU Card: 6520G
  • GPU driver: Catalyst
  • Kernel: Zen
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #10 on: 15. May 2016, 08:37:46 »
see fontconfig-ubuntu isn't a required file, aka a dependency for any other program right? so it can be safely uninstalled and reinstalled later

Offline LizziAS

  • Vollwertiges Mitglied
  • ***
  • Posts: 134
  • Branch: Hyssop
  • Desktop: OB-OpenRC
  • GPU Card: 6520G
  • GPU driver: Catalyst
  • Kernel: Zen
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #11 on: 15. May 2016, 08:45:57 »
looking for conflicting packages...
:: freetype2-ubuntu and freetype2 are in conflict. Remove freetype2? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: libbluray: removing freetype2 breaks dependency 'libfreetype.so=6-64'



hmmm

Offline LizziAS

  • Vollwertiges Mitglied
  • ***
  • Posts: 134
  • Branch: Hyssop
  • Desktop: OB-OpenRC
  • GPU Card: 6520G
  • GPU driver: Catalyst
  • Kernel: Zen
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #12 on: 15. May 2016, 08:48:24 »
libbluray-git does not depend on freetype2

therefore

yaourt -S libbluray-git

resolves your dependency for freetype2

thus your update should complete without a hitch afterwards
« Last Edit: 15. May 2016, 08:52:12 by LizziAS »

Offline LizziAS

  • Vollwertiges Mitglied
  • ***
  • Posts: 134
  • Branch: Hyssop
  • Desktop: OB-OpenRC
  • GPU Card: 6520G
  • GPU driver: Catalyst
  • Kernel: Zen
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #13 on: 15. May 2016, 08:57:12 »
and there you have it

yaourt -S libbluray-git

yaourt -S fontconfig-ubuntu


not that i wanted them on my machine but they just installed without a hitch and you should do the same and then update your machine

you're welcome

Offline LizziAS

  • Vollwertiges Mitglied
  • ***
  • Posts: 134
  • Branch: Hyssop
  • Desktop: OB-OpenRC
  • GPU Card: 6520G
  • GPU driver: Catalyst
  • Kernel: Zen
  • Skill: Intermediate
Re: 502 Bad Gateway
« Reply #14 on: 15. May 2016, 08:58:19 »
it's 3 am.  goodnight lightbeam